]> arthur.barton.de Git - bup.git/blobdiff - t/test-index-check-device.sh
vfs: limit root_items branches to refs/heads
[bup.git] / t / test-index-check-device.sh
index 23dbb772bd371d55f760603b59ee25b6f6a70410..41382344a967bf284cf8504cb70781f969d3b2eb 100755 (executable)
@@ -1,21 +1,28 @@
 #!/usr/bin/env bash
-. ./wvtest-bup.sh
-. ./t/lib.sh
+. ./wvtest-bup.sh || exit $?
+. ./t/lib.sh || exit $?
 
 set -o pipefail
 
-if [ $(t/root-status) != root ]; then
+root_status="$(t/root-status)" || exit $?
+
+if [ "$root_status" != root ]; then
     echo 'Not root: skipping --check-device tests.'
     exit 0 # FIXME: add WVSKIP.
 fi
 
+if test -n "$(type -p modprobe)" && ! modprobe loop; then
+    echo 'Unable to load loopback module; skipping --check-device test.' 1>&2
+    exit 0
+fi
+
 if test -z "$(type -p losetup)"; then
-    echo 'Unable to find losetup: skipping --check-device tests.'
+    echo 'Unable to find losetup: skipping --check-device tests.' 1>&2
     exit 0 # FIXME: add WVSKIP.
 fi
 
 if test -z "$(type -p mke2fs)"; then
-    echo 'Unable to find mke2fs: skipping --check-device tests.'
+    echo 'Unable to find mke2fs: skipping --check-device tests.' 1>&2
     exit 0 # FIXME: add WVSKIP.
 fi